Subject: bug#8256: widget-complete does not complete for type 'directory on w32

From: Lennart Borgman <[email-masked]>
Date: Tue, 15 Mar 2011 13:32:38 +0100

On Tue, Mar 15, 2011 at 12:56 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Tue, 15 Mar 2011 12:22:13 +0100
>> Cc: [email-masked]
>>
>> On Tue, Mar 15, 2011 at 12:17 PM, Eli Zaretskii <[email-masked]> wrote:
>> >> From: Lennart Borgman <[email-masked]>
>> >> Date: Tue, 15 Mar 2011 11:26:11 +0100
>> >> Cc:
>> >>
>> >> I can not complete directories in a custom buffer for something like this:
>> >>
>> >> (defcustom my-dir nil
>> >>   "doc"
>> >>   :type 'directory)
>> >>
>> >> Nothing happens when I call widget-complete.
>> >
>> > Does ESC-TAB complete in that case?
>>
>> What do you mean? I just said it didn't?
>
> No, you said you called widget-complete, but did not say what happens
> if you type ESC-TAB.

Yes, but ESC-TAB runs widget-complete (if you have not changed anything).

> The thing is, it works for me (on Windows), at least in Emacs 23.3.

Sorry, forgot to say I am using the trunk sources.

But I just downloaded the official 23.3 binaries and tested. It does
not work for me. When I hit ESC-TAB I just get a message:

  complete-symbol: No completions available; use M-x visit-tags-table
or M-x semantic-mode

I can see "complete-symbol" only in *Messages*, not in the echo area.
(How does that work?)